org.omg.IOP

## Class ServiceIdHelper

- java.lang.Object
- - org.omg.IOP.ServiceIdHelper

-     public abstract class ServiceIdHelper
      extends Object

  A service id, represented as an int

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceIdHelper()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `extract(Any a)`
    `static String` | `id()`
    `static void` | `insert(Any a, int that)`
    `static int` | `read(InputStream istream)`
    `static TypeCode` | `type()`
    `static void` | `write(OutputStream ostream, int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceIdHelper

          public ServiceIdHelper()

  - ### Method Detail

    - #### insert

          public static void insert(Any a,
                    int that)

    - #### extract

          public static int extract(Any a)

    - #### type

          public static TypeCode type()

    - #### id

          public static String id()

    - #### read

          public static int read(InputStream istream)

    - #### write

          public static void write(OutputStream ostream,
                   int value)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.